"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class OtherAction(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "referenceUrl",
        "variantActionable",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_8 import reports as reports_6_9_0

        return {
            "org.gel.models.report.avro.OtherAction": reports_6_9_0.OtherAction,
        }

    __slots__ = [
        "referenceUrl",
        "variantActionable",
        "actionType",
        "conditions",
        "identifier",
        "otherAttributes",
        "sources",
    ]

    def __init__(
        self,
        referenceUrl,
        variantActionable,
        actionType=None,
        conditions=None,
        identifier=None,
        otherAttributes=None,
        sources=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_9_0.OtherAction model.

        :param referenceUrl:
            URL where reference information for this action can be found
        :type referenceUrl: str
        :param variantActionable:
            If true, the association was made at the variant level, if not the
            association was made at Genomic Entity level
        :type variantActionable: boolean
        :param actionType:
            Action type
        :type actionType: None | str
        :param conditions:
            Associated conditions
        :type conditions: None | list[str]
        :param identifier:
            Action identifier
        :type identifier: None | str
        :param otherAttributes:
            Other attributes
        :type otherAttributes: None | dict[str, str]
        :param sources:
            Sources if known
        :type sources: None | list[str]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.9.0"
